Loading...
Searching...
No Matches
QXmppFileShare Class Reference

## Public Types

enum | Disposition { Inline , Attachment }
| Decides whether to display the file contents (e.g. an image) inline in the chat or as a file.

## Public Member Functions

| QXmppFileShare ()
| Default constructor.
Disposition | disposition () const
| Returns the disposition setting for this file.
void | setDisposition (Disposition)
| Sets the disposition setting for this file.
const QXmppFileMetadata & | metadata () const
| Returns the metadata of the shared file.
void | setMetadata (const QXmppFileMetadata &)
| Sets the metadata of the shared file.
const QVector< QXmppHttpFileSource > & | httpSources () const
| Returns the HTTP sources for this file.
void | setHttpSources (const QVector< QXmppHttpFileSource > &newHttpSources)
| Sets the HTTP sources for this file.
const QVector< QXmppEncryptedFileSource > & | encryptedSources () const
| Returns the encrypted sources for this file.
void | setEncryptedSourecs (const QVector< QXmppEncryptedFileSource > &newEncryptedSources)
| Sets the encrypted sources for this file.

## Detailed Description

File sharing element from XEP-0447: Stateless file sharing. Contains metadata and source URLs.

Note
  jinglepub references are currently missing

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppFileShare.h
- QXmppFileShare.cpp